<?php
/*
# ------------------------------------------------------------------------
# Vina Vina Article List Slider for Joomla 3
# ------------------------------------------------------------------------
# Copyright(C) 2014 www.VinaGecko.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: VinaGecko.com
# Websites: http://vinagecko.com
# Forum: http://vinagecko.com/forum/
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
require_once dirname(__FILE__) . '/helper.php';

$input 		= JFactory::getApplication()->input;
$idbase 	= $params->get('catid');
$cacheid 	= md5(serialize(array ($idbase, $module->module)));

$cacheparams = new stdClass;
$cacheparams->cachemode = 'id';
$cacheparams->class 	= 'ModVinaArticleListSliderHelper';
$cacheparams->method 	= 'getList';
$cacheparams->methodparams 	= $params;
$cacheparams->modeparams 	= $cacheid;

$items = JModuleHelper::moduleCache($module, $params, $cacheparams);

if(empty($items))
{
	echo 'No item found! Please check your config!';
	return;
}

// get params
$moduleclass_sfx 	= $params->get('moduleclass_sfx', '');
$resizeImage		= $params->get('resizeImage', 1);
$imagegWidth		= $params->get('imagegWidth', 100);
$imagegHeight		= $params->get('imagegHeight', 100);
$linkOnImage		= $params->get('linkOnImage', 1);
$showTitle			= $params->get('showTitle', 1);
$linkOnTitle		= $params->get('linkOnTitle', 1);
$showCreatedDate	= $params->get('show_date', 1);
$introText			= $params->get('show_introtext', 1);
$readmore			= $params->get('show_readmore', 1);

$moduleWidth 		= $params->get('moduleWidth', 810);
$moduleHeight 		= $params->get('moduleHeight', 300);
$scaleWidth 		= $params->get('scaleWidth', 810);
$navigator			= $params->get('navigator', 2);
$navigatorPosition  = $params->get('navigatorPosition', 0);
$navigatorWidth 	= $params->get('navigatorWidth', 260);
$navigatorItem	 	= $params->get('navigatorItem', 4);
$navigatorSpace 	= $params->get('navigatorSpace', 5);
$smallImage 		= $params->get('smallImage', 1);
$smallImageWidth 	= ($smallImage) ? $params->get('smallImageWidth', 100) : (-2*$navigatorSpace);
$smallImageHeight 	= ($smallImage) ? $params->get('smallImageHeight', 56) : 0;
$textInNavigator 	= $params->get('textInNavigator', 1);
$autoPlay			= $params->get('autoPlay', 1) ? 'true' : 'false';
$autoPlayInterval	= $params->get('autoPlayInterval', 4000);
$pauseOnHover		= $params->get('pauseOnHover', 3);
$arrowKeyNavigation	= $params->get('arrowKeyNavigation', 1) ? 'true' : 'false';
$slideDuration		= $params->get('slideDuration', 500);

$slideWidth			= $moduleWidth - $navigatorWidth - 2*$navigatorSpace;
$slideWidth			= ($navigator) ? $slideWidth : $moduleWidth;
$navigatorHeight 	= ($moduleHeight - $navigatorSpace*2 - ($navigatorItem - 1)*$navigatorSpace)/$navigatorItem;

$slideLeft		= ($navigatorPosition) ? ($navigatorWidth + 2*$navigatorSpace) : 0;
$slideLeft		= ($navigator) ? $slideLeft : 0;
$navigatorLeft 	= ($navigatorPosition) ? $navigatorSpace : ($slideWidth + $navigatorSpace);

$small = JURI::base() . 'modules/mod_vina_list_slider_content/libs/timthumb.php?a=c&q=99&z=0&w='.$smallImageWidth.'&h='.$smallImageHeight;
$large = JURI::base() . 'modules/mod_vina_list_slider_content/libs/timthumb.php?a=c&q=99&z=0&w='.$slideWidth.'&h='.$moduleHeight;

$arrowNavigation 	= $params->get('arrowNavigation', 1);
$arrowLeft  		= ($navigatorPosition) ? ($navigatorWidth + 2*$navigatorSpace + 8) : 8;
$arrowRight 		= ($navigatorPosition) ? 8 : ($navigatorWidth + 2*$navigatorSpace + 8);
$arrowLeft			= ($navigator) ? $arrowLeft  : 8;
$arrowRight			= ($navigator) ? $arrowRight  : 8;

// include layout
require JModuleHelper::getLayoutPath('mod_vina_list_slider_content', $params->get('layout', 'default'));