<?php
/*
# ------------------------------------------------------------------------
# Vina Vina Article List Slider for Joomla 3
# ------------------------------------------------------------------------
# Copyright(C) 2014 www.VinaGecko.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: VinaGecko.com
# Websites: http://vinagecko.com
# Forum: http://vinagecko.com/forum/
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
$doc = JFactory::getDocument();
$doc->addScript('modules/mod_vina_list_slider_content/assets/js/jssor.core.js', 'text/javascript');
$doc->addScript('modules/mod_vina_list_slider_content/assets/js/jssor.utils.js', 'text/javascript');
$doc->addScript('modules/mod_vina_list_slider_content/assets/js/jssor.slider.js', 'text/javascript');
$doc->addStyleSheet('modules/mod_vina_list_slider_content/assets/css/style.css');
?>
<style type="text/css">
#vina-list-slider-content<?php echo $module->id; ?> .jssort11 .i, 
#vina-list-slider-content<?php echo $module->id; ?> .jssort11 .pav:hover .i
{
	top: <?php echo $navigatorSpace; ?>px;
	left: <?php echo $navigatorSpace; ?>px;
}
#vina-list-slider-content<?php echo $module->id; ?> .jssort11 .t, 
#vina-list-slider-content<?php echo $module->id; ?> .jssort11 .pav:hover .t
{
	top: <?php echo $navigatorSpace; ?>px;
	left: <?php echo $smallImageWidth + $navigatorSpace * 3; ?>px;
	width: <?php echo $navigatorWidth - $smallImageWidth - $navigatorSpace * 4; ?>px;
	height: 90%;
}
#vina-list-slider-content<?php echo $module->id; ?> .jssort11 .c, 
#vina-list-slider-content<?php echo $module->id; ?> .jssort11 .pav:hover .c
{
	bottom: <?php echo $navigatorSpace; ?>px;
	left: <?php echo $smallImageWidth + $navigatorSpace * 3; ?>px;
	width: <?php echo $navigatorWidth - $smallImageWidth - $navigatorSpace * 4; ?>px;
}
#vina-list-slider-content<?php echo $module->id; ?> .vina-list-caption {
	width: <?php echo $slideWidth - 20; ?>px;
}
#vina-list-slider-content<?php echo $module->id; ?> .vina-list-items {
	left: <?php echo $slideLeft; ?>px;
	top: 0px;
}
</style>
<div id="vina-list-slider-content<?php echo $module->id; ?>" class="vina-list-slider-content" style="width: <?php echo $moduleWidth; ?>px; height: <?php echo $moduleHeight; ?>px; overflow: hidden;">

	<!-- Loading Screen -->
	<div u="loading" class="vina-load" style="top: 0px; left: 0px;">
		<div class="vina-load-filter"></div>
		<div class="vina-load-icon"></div>
	</div>

	<!-- Slides Container -->
	<div u="slides" class="vina-list-items" style="width: <?php echo $slideWidth; ?>px; height: <?php echo $moduleHeight; ?>px; overflow: hidden;">
		<?php
		foreach($items as $item) :
			$title 	= $item->title;
			$link   = $item->link;
			$images = json_decode($item->images);
			
			$category 	 = $item->displayCategoryTitle;
			$hits  		 = $item->displayHits;
			$description = $item->displayIntrotext;
			$created   	 = $item->displayDate;
			
			$image = $images->image_fulltext;
			$image = (empty($image)) ? $images->image_intro : $image;
			
			if(!empty($image)) {
				$image = (strpos($image, 'http://') === FALSE) ? JURI::base() . $image : $image;
			}
			
			$largeImage = ($resizeImage) ? $large . '&src=' . $image : $image;
			$smallImage = ($resizeImage) ? $small . '&src=' . $image : $image;
		?>
		<div class="vina-list-item">
			<?php if($linkOnImage) : ?><a href="<?php echo $link; ?>" title="<?php echo $title; ?>"><?php endif; ?>
				<img width="<?php echo $slideWidth; ?>" height="<?php echo $moduleHeight; ?>" src="<?php echo $largeImage; ?>" alt="<?php echo $title; ?>"/>
			<?php if($linkOnImage) : ?></a><?php endif; ?>
			
			<div u=caption t="*" class="vina-list-caption"> 
				<!-- Item Title Block -->
				<?php if($showTitle) : ?>
				<h3 class="vina-title">
					<?php if($linkOnTitle) : ?>
						<a href="<?php echo $link; ?>" title="<?php echo $title; ?>"><?php echo $title; ?></a>
					<?php else: ?>
						<?php echo $title; ?>
					<?php endif; ?>
				</h3>
				<?php endif; ?>
				
				<!-- Item Introtext Block -->
				<?php if($introText && !empty($description)) : ?>
				<div class="vina-list-introtext">
					<?php echo $description; ?>
				</div>
				<?php endif; ?>
				
				<!-- Item Introtext Block -->
				<?php if($readmore) : ?>
				<div class="vina-read-more">
					<a href="<?php echo $link; ?>" title="<?php echo $title; ?>">
						<?php echo JTEXT::_('VINA_READ_MORE'); ?>
					</a>
				</div>
				<?php endif; ?>
			</div>
			
			<!-- Thumbnails Block -->
			<div class="vina-list-thumb" u="thumb">
				<!-- Small Image Block -->
				<?php if($smallImage) : ?>
				<img class="i" width="<?php echo $smallImageWidth; ?>" height="<?php echo $smallImageHeight; ?>" src="<?php echo $smallImage; ?>" alt="<?php echo $title; ?>"/>
				<?php endif; ?>
				
				<!-- Text Block -->
				<?php if($textInNavigator) : ?>
				<div class="t"><?php echo $title; ?></div>
				<div class="c"><?php echo $created; ?></div>
				<?php endif; ?>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
	
	<!-- ThumbnailNavigator Skin Begin -->
	<div u="thumbnavigator" class="jssort11 vina-list-navigator" style="width: <?php echo $navigatorWidth; ?>px; height: <?php echo $moduleHeight; ?>px; left:<?php echo $navigatorLeft; ?>px;">
		<div u="slides" style="cursor: move;">
			<div u="prototype" class="p" style="position: absolute; width: <?php echo $navigatorWidth; ?>px; height: <?php echo $navigatorHeight; ?>px; top: 0; left: 0;">
				<thumbnailtemplate style=" width: 100%; height: 100%; border: none;position:absolute; top: 0; left: 0;"></thumbnailtemplate>
			</div>
		</div>
	</div>
	
	<!-- Direction Navigator Skin Begin -->
	<span u="arrowleft" class="jssord02l" style="width: 55px; height: 55px; top: 43%; left: <?php echo $arrowLeft; ?>px;"></span>
	<span u="arrowright" class="jssord02r" style="width: 55px; height: 55px; top: 43%; right: <?php echo $arrowRight; ?>px;"></span>
</div>
<script>
jQuery(document).ready(function ($) {
	
	<?php if($params->get('imageTransitions', 1)) : ?>
	var _ImageStransitions = [
		<?php echo $params->get('imageTransitionList', '{$Duration:1200,$Opacity:2}'); ?>
	];
	<?php endif; ?>
	
	var options<?php echo $module->id; ?> = {
		$AutoPlay: <?php echo $autoPlay; ?>,
		$AutoPlaySteps: 1,
		$AutoPlayInterval: <?php echo $autoPlayInterval; ?>,
		$PauseOnHover: <?php echo $pauseOnHover; ?>,
		$ArrowKeyNavigation: <?php echo $arrowKeyNavigation; ?>,
		$SlideDuration: <?php echo $slideDuration; ?>,
		$MinDragOffsetToSlide: 20,
		$SlideSpacing: 0,
		$DisplayPieces: 1,
		$ParkingPosition: 0,
		$UISearchMode: 1,
		$PlayOrientation: 1, 
		$DragOrientation: 3,
		
		<?php if($params->get('imageTransitions', 1)) : ?>
		$SlideshowOptions: {
			$Class: $JssorSlideshowRunner$,
			$Transitions: _ImageStransitions,
			$TransitionsOrder: 0,
			$ShowLink: true 
		},
		<?php endif; ?>
		
		$ThumbnailNavigatorOptions: {
			$Class: $JssorThumbnailNavigator$,
			$ChanceToShow: <?php echo $navigator; ?>,
			$AutoCenter: 3,
			$Lanes: 1,
			$SpacingX: 10,
			$SpacingY: <?php echo $navigatorSpace; ?>,
			$DisplayPieces: <?php echo $navigatorItem; ?>,
			$ParkingPosition: 0,
			$Orientation: 2,
			$DisableDrag: false
		},
		
		$DirectionNavigatorOptions: {
			$Class: $JssorDirectionNavigator$,
			$ChanceToShow: <?php echo $arrowNavigation; ?>,
			$Steps: 1
		},
	};

	var jssor_slider<?php echo $module->id; ?> = new $JssorSlider$("vina-list-slider-content<?php echo $module->id; ?>", options<?php echo $module->id; ?>);
	
	//responsive code begin
	function ScaleSlider<?php echo $module->id; ?>() {
		var parentWidth = jssor_slider<?php echo $module->id; ?>.$Elmt.parentNode.clientWidth;
		if (parentWidth)
			jssor_slider<?php echo $module->id; ?>.$SetScaleWidth(Math.min(parentWidth, <?php echo $scaleWidth; ?>));
		else
			window.setTimeout(ScaleSlider<?php echo $module->id; ?>, 30);
	}

	ScaleSlider<?php echo $module->id; ?>();
	$(window).bind('resize', ScaleSlider<?php echo $module->id; ?>);
});
</script>